Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80401 - Anaconda does not work in GUI mode
Summary: Anaconda does not work in GUI mode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-25 22:23 UTC by Tom "spot" Callaway
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-26 00:09:41 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2002-12-25 22:23:44 UTC
Description of problem:

The Phoebe installer does not work in GUI mode on my Dell Inspiron 4000.

Version-Release number of selected component (if applicable):

8.0.92-8

How reproducible:

Always

Steps to Reproduce:
1. Attempt to install in GUI mode
2. Watch it try, then fail
    
Actual results:

Kicks into TUI, which is obviously correct, but suboptimal.

Expected results:

Pretty GUI install screens, just like 7.1, 7.2, 7.3, 8.0 did (and every beta in
between)

Additional info:

redhat-config-xfree86 also was unable to configure valid settings for this
laptop, but it has never been able to get it right (it failed in 8.0 even though
anaconda succeeded and wrote out a working XFree86 config file).

Comment 1 Jeremy Katz 2002-12-26 18:30:53 UTC
Does it work if you boot with 'linux resolution=native_panel_res'?  It's
possible we lost some of the hacks to work around some of the weird laptop
hardware when restructuring some of this code

Comment 2 Brent Fox 2003-01-06 06:26:00 UTC
tcallawa: ping?

Comment 3 Tom "spot" Callaway 2003-01-06 14:41:04 UTC
Apologies. I have needed to actually use that laptop of late, I'll test it tonight.

Comment 4 Tom "spot" Callaway 2003-01-10 03:40:28 UTC
linux resolution=native_panel_res does not work.
linux resolution=1024x768 does not work either.

Comment 5 Michael Fulbright 2003-01-14 05:46:12 UTC
I'd need to play with the machine to figure out anything else.

Comment 6 Michael Fulbright 2003-01-22 19:27:33 UTC
The native resolution was 1400x1050, which made this work.

I added some code to sniff through the first failed attempt to start X to see if
there is any info on the panel size in the X.log, and try again using that size.

Comment 7 Mike McLean 2003-02-26 00:09:41 UTC
closing


Note You need to log in before you can comment on or make changes to this bug.